#!/bin/sh

#    Copyright (C)  2005  Daniele Zelante
#
#    Copying and distribution of this file, with or without modification,
#    are permitted in any medium without royalty provided the copyright
#    notice and this notice are preserved.




if [ -z "$1" ] ; then
	echo "syntax: $0 device"
	exit;
fi

SIZE2K=`isoinfo -d -i $1 | grep 'Volume size is: ' | sed 's/^.*: //'`
SIZE=$(($SIZE2K*2)) 
copyblock -r -m $SIZE -b 256 $1

